{{
  TString pwd = gSystem->pwd();
  TString mycountercpp = pwd +"/MyCounter.C+";
  TString myselectorcpp = pwd +"/MySelector.C+";

  gROOT->LoadMacro(mycountercpp);
  gROOT->LoadMacro(myselectorcpp);

  TDSet* chain = new TDSet("TTree","bg_filtered");;
  chain->Add("$ROOTSYS/tutorials/mlpHiggs.root");

  cout << ">> Initialising PROOF..." << endl;
  if (!gProof) {
    gROOT->Proof("eifca02.ifca.org.es");
  }



  cout << ">> Initialising environment in slaves..." << endl;
  gProof->Exec(".L " + mycountercpp);
  gProof->Exec(".L " + myselectorcpp);

  cout << ">> Running selector..." << endl;
  gProof->Process(chain, "MySelector",0,10);
  cout << ">> Done!!!" << endl;
}}
